Bug 946906 - "Updates are available" notification does not persist(?)
Summary: "Updates are available" notification does not persist(?)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-31 21:20 UTC by Robert Lightfoot
Modified: 2013-05-07 19:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-07 19:28:53 UTC
Type: Bug


Attachments (Terms of Use)
Gnome Notification as shown over screensaver lock screen (1.10 MB, image/png)
2013-05-07 11:56 UTC, Robert Lightfoot
no flags Details
Gnome Notification as shown on Desktop -- ubtil dispatched by "X" (1.07 MB, image/png)
2013-05-07 11:57 UTC, Robert Lightfoot
no flags Details
Note absence of Persisitent notification Icon near Network and Speaker Icons (1.10 MB, image/png)
2013-05-07 11:58 UTC, Robert Lightfoot
no flags Details

Description Robert Lightfoot 2013-03-31 21:20:55 UTC
Description of problem:
Following QA:Testcase_Desktop_Updates - https://fedoraproject.org/wiki/QA:Testcase_desktop_updates -- Gnome does not present a gui update icon despite updates being available.

Version-Release number of selected component (if applicable):
F19-Alpha-TC3

How reproducible:
Every Time

Steps to Reproduce:
1. Follow Test Case Instructions and wait 12 hours for a popup
2. None will appear
3. Updates can be added by Terminal-CLI
  
Actual results:
Failure of Popup to appear

Expected results:
Popup should appear.

Additional info:

Comment 1 Adam Williamson 2013-04-24 16:38:16 UTC
Discussed at 2013-04-24 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-04-24/f19beta-blocker-review-1.2013-04-24-16.00.log.txt . Decision is delayed pending more testing to confirm Robert's result - this report is now nearly a month old, and some of us thought we'd seen the notifications during Alpha testing. If this report is still correct, though, it will be a blocker issue.

Comment 2 Richard Hughes 2013-04-25 11:52:07 UTC
12 hours isn't enough for non-critical or non-security updates. You need to wait at least 7 days, or change the value of org.gnome.settings-daemon.plugins.updates.frequency-updates-notification to something lower.

Comment 3 Robert Lightfoot 2013-04-25 12:25:53 UTC
Richard the Test Case instructions set the update to 600 which I think is 10 mintues.

I saw this on TC3, but have not seen it since.  What I have seen is that the updates popup can be lost with the screensaver kicking in and you don't have a persistent reminder in Gnome3 like you did in Gnome2.  But that is probably not a blocker like I thought the original issue seen in TC3 was.

Comment 4 Robert Lightfoot 2013-04-27 09:05:33 UTC
Ok I have retested with F19-Alpha-RC4 and the case is this.  The bottom of the screen notifiction that you have updates does appear, but the updates pending icon in the notification area is absent if the you have updates is dismissed.  The only way to perform the update if you dismiss the one and only reminder is to use the activities menu and software-update or use yum.  

My vote -- It is not a blocker, but fixing the notification area icon would be a freeze exception .

Comment 5 Adam Williamson 2013-05-01 16:50:17 UTC
Discussed at 2013-05-01 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-05-01/f19beta-blocker-review-2.2013-05-01-16.01.log.txt . Rejected as a blocker , as the required function worked. We also weren't interested in making the lack of persistence of the notification an FE issue; this whole notification is UI fail at present, there's not much point isolating one particular buglet and going nuts about it.

Comment 6 Robert Lightfoot 2013-05-07 11:56:16 UTC
Created attachment 744696 [details]
Gnome Notification as shown over screensaver lock screen

Comment 7 Robert Lightfoot 2013-05-07 11:57:16 UTC
Created attachment 744697 [details]
Gnome Notification as shown on Desktop -- ubtil dispatched by "X"

Comment 8 Robert Lightfoot 2013-05-07 11:58:25 UTC
Created attachment 744698 [details]
Note absence of Persisitent notification Icon near Network and Speaker Icons

Comment 9 Robert Lightfoot 2013-05-07 12:12:41 UTC
I concur with the triage as I recently saw F19-kde with persistent notification.

Comment 10 Adam Williamson 2013-05-07 19:25:14 UTC
Oh, okay. You're expecting a notification icon there. No, that's not how GNOME 3 works at all. Notifications never appear at the top right. They appear at bottom right, and only if you activate the notifications bar, either by entering the overview or hitting the bottom of the screen with the cursor.

I don't think there's a bug here. This is just how GNOME does notifications. I checked, and the 'Updates Available' notification does persist at bottom right if you don't act on it.


Note You need to log in before you can comment on or make changes to this bug.